mxGraphMlUtils (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlUtils

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlUtils

    public class mxGraphMlUtils

extends Object

This class implements several GML utility methods.

Constructor Summary
`mxGraphMlUtils()`

Method Summary
`static boolean` | `childsHasTag(Element element, String tag)` Checks if the childrens of element has a Node with name = tag.
`static Element` | `childsTag(Element element, String tag)` Returns the first Element that has name = tag in the childrens of element.
`static List<Element>` | `childsTags(Element element, String tag)` Returns a list with the elements included in the childrens of element that have name = tag.
`static List<Node>` | `copyNodeList(NodeList nodeList)` Copy a given NodeList into a List
`static HashMap<String,Object>` | `getStyleMap(String style, String asig)` Create a style map from a String with style definitions.
`static String` | `getStyleString(Map<String,Object> styleMap, String asig)` Returns the string that represents the content of a given style map.
`static boolean` | `nodeListHasTag(NodeList nl, String tag)` Checks if the NodeList has a Node with name = tag.
`static Element` | `nodeListTag(NodeList nl, String tag)` Returns the first Element that has name = tag in Node List.
`static List<Element>` | `nodeListTags(NodeList nl, String tag)` Returns a list with the elements included in the Node List that have name = tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphMlUtils

    public mxGraphMlUtils()

Method Detail

### nodeListHasTag

    public static boolean nodeListHasTag(NodeList nl,
                                         String tag)

  Checks if the NodeList has a Node with name = tag.

  Parameters:
    `nl` - NodeList
    `tag` - Name of the node.
  Returns:
    Returns `true` if the Node List has a Node with name = tag.

### nodeListTag

    public static Element nodeListTag(NodeList nl,
                                      String tag)

  Returns the first Element that has name = tag in Node List.

  Parameters:
    `nl` - NodeList
    `tag` - Name of the Element
  Returns:
    Element with name = 'tag'.

### nodeListTags

    public static List<Element> nodeListTags(NodeList nl,
                                             String tag)

  Returns a list with the elements included in the Node List that have name = tag.

  Parameters:
    `nl` - NodeList
    `tag` - name of the Element.
  Returns:
    List with the indicated elements.

### childsHasTag

    public static boolean childsHasTag(Element element,
                                       String tag)

  Checks if the childrens of element has a Node with name = tag.

  Parameters:
    `element` - Element
    `tag` - Name of the node.
  Returns:
    Returns `true` if the childrens of element has a Node with name = tag.

### childsTag

    public static Element childsTag(Element element,
                                    String tag)

  Returns the first Element that has name = tag in the childrens of element.

  Parameters:
    `element` - Element
    `tag` - Name of the Element
  Returns:
    Element with name = 'tag'.

### childsTags

    public static List<Element> childsTags(Element element,
                                           String tag)

  Returns a list with the elements included in the childrens of element that have name = tag.

  Parameters:
    `element` - Element
    `tag` - name of the Element.
  Returns:
    List with the indicated elements.

### copyNodeList

    public static List<Node> copyNodeList(NodeList nodeList)

  Copy a given NodeList into a List

  Parameters:
    `nodeList` - Node List.
  Returns:
    List with the elements of nodeList.

### getStyleMap

    public static HashMap<String,Object> getStyleMap(String style,
                                                     String asig)

  Create a style map from a String with style definitions.

  Parameters:
    `style` - Definition of the style.
    `asig` - Asignation simbol used in 'style'.
  Returns:
    Map with the style properties.

### getStyleString

    public static String getStyleString(Map<String,Object> styleMap,
                                        String asig)

  Returns the string that represents the content of a given style map.

  Parameters:
    `styleMap` - Map with the styles values
  Returns:
    string that represents the style.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.